Redmine 2 / Rails 3 compatibility

09 Dec 2012 17:26 - Marcus Ilgner

Status: In Progress Start date: 09 Dec 2012

Priority: Normal Due date: 18 Aug 2013

Assignee: Andriy Lesyuk % Done: 80%

Category:  Estimated time: 0.00 hour

Target version:    

External issue:    

Description

Just tried to install the redmine-settings plugin into a Redmine 2 installation because I’m using it in one of my plugins.

Unfortunately, it isn’t compatible anymore since a few things changed with Rails 3.

I fiddled around with it for a bit and got so far to come up with this diff to at least avoid throwing exceptions. But still I had to add a

manually-defined route for my settings page in my plugin and the view doesn’t show up anymore after the upgrade.

-require 'dispatcher'

-RAILS_DEFAULT_LOGGER.info 'Starting Project Settings Hook Plugin for Redmine'

+::Rails.logger.info 'Starting Project Settings Hook Plugin for Redmine'

-Dispatcher.to_prepare :project_settings_hook_plugin do

+Rails.configuration.to_prepare do

 

Do you have any plans to support Redmine 2 or should I roll my own settings hook?

History

#1 - 09 Dec 2012 17:34 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

Yes, I have plans to update this plugin. Sorry for issues.

#2 - 10 Jan 2013 11:57 - Michael Irgendwer

+1 for making it redmine 2 compatible

I think especially as due to the recent security bugfixes for rails (and the resulting redmine updates) even more people would want to switch to

redmine 2.2.x And for them (as for us) it is important to be able continuing using the plugins which in turn depend on your project 

Having Marcus Ilgner airbrake exception notification working again would be really great, so thanks for the effort you put (and will put  into this.

#3 - 07 Apr 2013 08:14 - Bruno Spyckerelle

As long as it is not included in redmine ( http://www.redmine.org/issues/8332 ), it would be helpfull that your plugin is compatible with redmine 2.3.

Thanks in advance.

#4 - 18 Aug 2013 22:50 - Andriy Lesyuk

- Due date set to 18 Aug 2013
- Status changed from Open to In Progress

- % Done changed from 0 to 80

I believe the plugin should now work fine with recent versions of Redmine. Please check and confirm.
